Bug 605701 - Backport qcow2 fixes to RHEL 5
Summary: Backport qcow2 fixes to RHEL 5
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm   
(Show other bugs)
Version: 5.5
Hardware: All Linux
high
medium
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 612508
TreeView+ depends on / blocked
 
Reported: 2010-06-18 15:12 UTC by Kevin Wolf
Modified: 2013-01-11 03:04 UTC (History)
10 users (show)

Fixed In Version: kvm-83-188.el5
Doc Type: Bug Fix
Doc Text:
When using QCOW2 disk images, certain I/O operation or disk space depletion errors could potentially have caused image corruption or a virtual guest to stop running. This was due to the improper error-handling code for QCOW2 disk images. This has been fixed with this update so that the aforementioned types of errors are handled correctly, thus increasing QCOW2 disk integrity in such situations.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 23:36:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0028 normal SHIPPED_LIVE Low: kvm security and bug fix update 2011-01-13 11:03:39 UTC

Description Kevin Wolf 2010-06-18 15:12:23 UTC
Recently upstream qemu and RHEL 6 have seen a lot of qcow2 fixes, most of which concern error handling. They fix bugs where errors are either completely ignored or (more often) where a wrong error code is propagated, e.g. always EIO regardless of what error really occurred.

These bug fixes need to be backported to RHEL 5 as RHEV makes use of error paths even under normal conditions.

Comment 8 Douglas Silas 2010-07-28 15:42:38 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When using QCOW2 disk images, certain I/O operation or disk space depletion errors could potentially have caused image corruption or a virtual guest to stop running. This was due to the improper error-handling code for QCOW2 disk images. This has been fixed with this update so that the aforementioned types of errors are handled correctly, thus increasing QCOW2 disk integrity in such situations.

Comment 13 errata-xmlrpc 2011-01-13 23:36:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html


Note You need to log in before you can comment on or make changes to this bug.